OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKTObj
TObj

# TObj_OcafObjectIterator Class Reference

`#include <TObj_OcafObjectIterator.hxx>`

Inheritance diagram for TObj_OcafObjectIterator:

[legend]

## Public Member Functions
Standard_EXPORT | TObj_OcafObjectIterator (const TDF_Label &theLabel, const Handle(Standard_Type)&theType=NULL, const Standard_Boolean theRecursive=Standard_False)
| Creates the iterator on objects in the sub labels of theLabel theType narrows a variety of iterated objects.
## Protected Member Functions
virtual Standard_EXPORT void | MakeStep ()
| Shift iterator to the next object.
| Handle (Standard_Type) myType
| type of objects to iterate on

## Detailed Description

This class provides an iterator by objects in a partition. (implements TObj_ObjectIterator interface)

## Constructor & Destructor Documentation

Standard_EXPORT TObj_OcafObjectIterator::TObj_OcafObjectIterator | ( | const TDF_Label & | theLabel,
|  | const Handle(Standard_Type)& | theType = `NULL`,
|  | const Standard_Boolean | theRecursive = `Standard_False`
| ) |

| Constructor

## Member Function Documentation

TObj_OcafObjectIterator::Handle | ( | Standard_Type |  | ) | `[protected]`

| fields

virtual Standard_EXPORT void TObj_OcafObjectIterator::MakeStep | ( |  | ) | `[protected, virtual]`

| Implements TObj_LabelIterator.

The documentation for this class was generated from the following file:

- TObj_OcafObjectIterator.hxx